> For the complete documentation index, see [llms.txt](https://docs.whiteswan.io/partner-knowledge-base/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.whiteswan.io/partner-knowledge-base/api-documentation/webhooks/new-plan-request-started.md).

# New Plan Request Started

This event happens each time an end-user initiates a request for a personal plan through a [page](/partner-knowledge-base/platform-overview/using-the-platform/page-types-overview.md) or a [custom case](/partner-knowledge-base/platform-overview/using-the-platform/custom-cases.md) via your White Swan account.

{% hint style="info" %}
For capturing new leads through your White Swan account, this is the best event to use, as it is the earliest event in the [end-user experience](/partner-knowledge-base/platform-overview/client-experience.md).
{% endhint %}

***

<details>

<summary>Sample Payload</summary>

<pre class="language-json" data-overflow="wrap" data-full-width="true"><code class="lang-json">{
"event_message":"John Doe just started a personal plan request for a Variable Universal Life Accumulation plan through one of your White Swan pages. View the request internally at https://app.whiteswan.io/partner_case/john-doe",
<strong>"full_name": "John Doe",
</strong><strong>"first_name": "John",
</strong>"last_name": "Doe",
"email": "johndoe@gmail.com",
<strong>"phone_number": "1234567890",
</strong>"policy_type": "Variable Universal Life",
"main_goal": "Accumulation",
"request_id": "2157086524x1096812345",
"source_page": "Variable Universal Life Page"
}
</code></pre>

</details>

**Data Returned by this Event:**

<table data-full-width="true"><thead><tr><th>Field Label</th><th>Field Key</th><th>Field Type</th><th>Example Value</th><th>Description</th></tr></thead><tbody><tr><td>Event Message</td><td>event_message</td><td>Text</td><td>John Doe just started a personal plan request for a Variable Universal Life Accumulation plan through one of your White Swan pages. View the request internally at https://app.whiteswan.io/partner_case/john-doe</td><td>A message providing an overview of the new plan request</td></tr><tr><td>Client Full Name</td><td>full_name</td><td>Text</td><td>John Doe</td><td>Full name of the client</td></tr><tr><td>Client First Name</td><td>first_name</td><td>Text</td><td>John</td><td>First name of the client</td></tr><tr><td>Client Last Name</td><td>last_name</td><td>Text</td><td>Doe</td><td>Last name of the client</td></tr><tr><td>Client Email</td><td>email</td><td>Text</td><td><a href="mailto:johndoe@gmail.com">johndoe@gmail.com</a></td><td>Email address of the client</td></tr><tr><td>Client Phone Number</td><td>phone_number</td><td>Text</td><td>1234567890</td><td>Phone number of the client</td></tr><tr><td>Request Policy Type</td><td>policy_type</td><td>Text</td><td>Variable Universal Life</td><td>Type of policy requested</td></tr><tr><td>Request Main Goal</td><td>main_goal</td><td>Text</td><td>Accumulation</td><td>Main goal of the request</td></tr><tr><td>Request ID</td><td>request_id</td><td>Text</td><td>215708652x41096812345</td><td>Unique identifier for the request</td></tr><tr><td>Request Source Page</td><td>source_page</td><td>Text</td><td>Variable Universal Life Page</td><td>Page from which the request originated</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.whiteswan.io/partner-knowledge-base/api-documentation/webhooks/new-plan-request-started.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
